Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2266443002: Optimize posting of WTF::Closure and improve scheduler test mocks (Closed)

Created:
1 year, 3 months ago by alex clarke (OOO till 29th)
Modified:
1 year, 2 months ago
CC:
ajuma+watch_chromium.org, blink-reviews, blink-reviews-api_chromium.org, blink-reviews-dom_chromium.org, blink-reviews-layout_chromium.org, blink-reviews-platform-graphics_chromium.org, Rik, chromium-reviews, danakj+watch_chromium.org, darin-cc_chromium.org, dglazkov+blink, dshwang, drott+blinkwatch_chromium.org, krit, eae+blinkwatch, f(malita), fs, gavinp+loader_chromium.org, gyuyoung2, jam, Nate Chapin, jbroman, jchaffraix+rendering, Justin Novosad, kouhei+svg_chromium.org, leviw+renderwatch, loading-reviews+fetch_chromium.org, pdr+graphicswatchlist_chromium.org, pdr+renderingwatchlist_chromium.org, pdr+svgwatchlist_chromium.org, rwlbuis, scheduler-bugs_chromium.org, Stephen Chennney, sof, szager+layoutwatch_chromium.org, tyoshino+watch_chromium.org, Yoav Weiss, zoltan1
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Optimize posting of WTF::Closure and improve scheduler test mocks Previously posting a WTF::Closure (which contains a base::Closure) resulted in it getting wrapped in a WebTaskRunner::Task which was then wrapped in a base::Closure! We fix that here by posting the wrapped base::Closure directly. We also and refactor the various blink scheduler mocks to use either a real scheduler or a centralized FakeWebTaskRunner. At Sami's request taskRunner has been renamed to toSingleThreadTaskRunner. BUG=638542 Committed: https://crrev.com/4dab46210f989c26fb3cb40064a8d60846015f38 Cr-Commit-Position: refs/heads/master@{#414834}

Patch Set 1 #

Patch Set 2 : Fix FakeWebTaskRunner leak #

Total comments: 5

Patch Set 3 : Remove TestingPlatformSupportWithMockScheduler::runPendingTasks #

Patch Set 4 : Cut back to just the WTF::Closure fix plus the scheduler test mock refactor. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+392 lines, -826 lines) Patch
M content/child/web_url_loader_impl.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/dom/ScriptRunnerTest.cpp View 11 chunks +18 lines, -18 lines 0 comments Download
M third_party/WebKit/Source/core/fetch/ImageResourceTest.cpp View 3 chunks +3 lines, -12 lines 0 comments Download
M third_party/WebKit/Source/core/fetch/ResourceFetcherTest.cpp View 1 2 3 3 chunks +3 lines, -14 lines 0 comments Download
M third_party/WebKit/Source/core/layout/ImageQualityControllerTest.cpp View 1 2 3 3 chunks +3 lines, -34 lines 0 comments Download
M third_party/WebKit/Source/core/svg/graphics/SVGImageTest.cpp View 5 chunks +8 lines, -66 lines 0 comments Download
M third_party/WebKit/Source/platform/DEPS View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/TimerTest.cpp View 1 2 3 24 chunks +114 lines, -377 lines 0 comments Download
M third_party/WebKit/Source/platform/WebTaskRunner.cpp View 1 2 3 1 chunk +4 lines, -40 lines 0 comments Download
M third_party/WebKit/Source/platform/blink_platform.gypi View 1 2 3 2 chunks +5 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/RecordingImageBufferSurfaceTest.cpp View 1 2 3 1 chunk +2 lines, -125 lines 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/web_task_runner_impl.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/scheduler/child/web_task_runner_impl.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
A third_party/WebKit/Source/platform/scheduler/test/fake_web_task_runner.h View 1 2 3 1 chunk +41 lines, -0 lines 0 comments Download
A third_party/WebKit/Source/platform/scheduler/test/fake_web_task_runner.cc View 1 2 3 1 chunk +47 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/testing/TestingPlatformSupport.h View 1 2 4 chunks +48 lines, -34 lines 0 comments Download
M third_party/WebKit/Source/platform/testing/TestingPlatformSupport.cpp View 1 2 3 3 chunks +91 lines, -99 lines 0 comments Download
M third_party/WebKit/public/platform/WebTaskRunner.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 42 (29 generated)
alex clarke (OOO till 29th)
PTAL :)
1 year, 3 months ago (2016-08-19 14:57:11 UTC) #4
haraken
LGTM. This looks like a great simplification! https://codereview.chromium.org/2266443002/diff/20001/third_party/WebKit/Source/platform/testing/TestingPlatformSupport.h File third_party/WebKit/Source/platform/testing/TestingPlatformSupport.h (right): https://codereview.chromium.org/2266443002/diff/20001/third_party/WebKit/Source/platform/testing/TestingPlatformSupport.h#newcode116 third_party/WebKit/Source/platform/testing/TestingPlatformSupport.h:116: // This ...
1 year, 2 months ago (2016-08-22 05:28:48 UTC) #10
alex clarke (OOO till 29th)
https://codereview.chromium.org/2266443002/diff/20001/third_party/WebKit/Source/platform/testing/TestingPlatformSupport.h File third_party/WebKit/Source/platform/testing/TestingPlatformSupport.h (right): https://codereview.chromium.org/2266443002/diff/20001/third_party/WebKit/Source/platform/testing/TestingPlatformSupport.h#newcode116 third_party/WebKit/Source/platform/testing/TestingPlatformSupport.h:116: // This function ignores future delayed tasks when deciding ...
1 year, 2 months ago (2016-08-22 17:43:01 UTC) #12
alex clarke (OOO till 29th)
I removed the changes to introduce cancelable tasks on WebTaskRunner because Daniel didn't want to ...
1 year, 2 months ago (2016-08-26 14:06:15 UTC) #24
Sami
lgtm.
1 year, 2 months ago (2016-08-26 14:40:59 UTC) #25
haraken
LGTM
1 year, 2 months ago (2016-08-26 14:46:21 UTC) #26
jochen (gone - plz use gerrit)
lgtm
1 year, 2 months ago (2016-08-26 15:00:45 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2266443002/60001
1 year, 2 months ago (2016-08-26 15:02:38 UTC) #31
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/281992)
1 year, 2 months ago (2016-08-26 17:26:52 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2266443002/60001
1 year, 2 months ago (2016-08-26 17:37:59 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2266443002/60001
1 year, 2 months ago (2016-08-26 20:17:39 UTC) #38
commit-bot: I haz the power
Committed patchset #4 (id:60001)
1 year, 2 months ago (2016-08-26 22:34:13 UTC) #40
commit-bot: I haz the power
1 year, 2 months ago (2016-08-26 22:36:14 UTC) #42
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/4dab46210f989c26fb3cb40064a8d60846015f38
Cr-Commit-Position: refs/heads/master@{#414834}

Powered by Google App Engine
This is Rietveld efc10ee0f